> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendhelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit form



## OpenAPI

````yaml post /v1/forms/{id}
openapi: 3.0.0
info:
  title: Gym Management API
  version: 1.0.0
  description: >-
    API for managing gyms, customers, forms, and messages. All requests require
    an Authorization header with a Bearer token.
servers: []
security:
  - bearerAuth: []
paths:
  /v1/forms/{id}:
    post:
      tags:
        - Forms
      summary: Submit form
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FormSubmission'
      responses:
        '201':
          description: Successful submission
          content:
            application/json:
              schema:
                type: object
                properties:
                  submission:
                    type: string
components:
  schemas:
    FormSubmission:
      type: object
      properties:
        customer:
          type: object
          properties:
            phoneNumber:
              type: string
            email:
              type: string
            firstName:
              type: string
            lastName:
              type: string
            properties:
              type: object
              additionalProperties: true
        fields:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              value:
                oneOf:
                  - type: string
                  - type: number
                  - type: boolean
                  - type: object
                  - type: array
            required:
              - name
              - value
        metadata:
          type: object
          additionalProperties: true
      required:
        - customer
        - fields
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token in the format **'Bearer &lt;token&gt;'**

````